> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/xpay-enablement/api-reference/guidelines.md).

# Guidelines

## Development Considerations

The following changes are considered backwards compatible:

* Adding a new API request
* Adding new optional parameter to existing API (request/response)
  * This parameter could be added as body, HTTP parameter or HTTP header
* Adding new value on enum
* Making mandatory parameters optional
* Ignore any unknown fields/values received as part of API request/response

## Correlation of APIs

All API calls related to the same use case shall use the same **x-request-id (TSP API v1) or x-correlation-id (TSP API v2)** value.

*Note for TSPs implementing also the* [***Issuer Gateway API***](https://tsh-issuer-gateway.docs.stoplight.io/)*:*\
*The value provided in the **x-correlation-id** HTTP header is maintained across all API calls for digitization flow.*\
*The same applies for lifecycle flows.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/xpay-enablement/api-reference/guidelines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
